Skip to content

Get Async Process Status

Request

Returns the status of an asynchronous process. Asynchronous processes allow requests to be performed in the background, enabling you to initiate tasks and check their completion status later.

Requests Performed in Async Process:

  • Post Apply OrganizationPolicies On Inventory.
  • Post Apply Product Policies On Inventory.
  • Post Apply Project Policies On Inventory.
Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

statusUuidstringrequired

Asynchronous Process Status UUID

GET
/api/v2.0/orgs/{orgToken}/asyncProcessStatus/{statusUuid}
curl -i -X GET \
  'https://api-saas.mend.io/api/v2.0/orgs/{orgToken}/asyncProcessStatus/{statusUuid}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValobject(AsyncProcessStatusV2DTO)
Response
{ "supportToken": "1171c60d", "retVal": { "contextUuid": "caf69794-9882-4b55-82db-6b6da4fe2a26", "uuid": "caf69794-9882-4b55-82db-6b6da4fe2a92", "status": "PENDING", "contextType": "DOMAIN", "created": "2019-08-24T14:15:22Z", "modified": "2019-08-24T14:15:22Z", "processType": "APPLY_POLICIES", "messageContentSha1": "fb4016165697cc32d0b90ccc82e3c2c846eb01b7", "requestToken": "2cd6a43b", "userEmail": "sample@mail.com" } }